<?php
/**
* @package phpBB Extension - Extension Credits
* @copyright (c) 2022 Sniper_E - https://www.sniper-e.com
* @copyright (c) 2021 Martin - https://www.martins-play-ground.com
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*/

namespace sniper\extcredits;

/**
* Extension class for custom enable/disable/purge actions
*/

class ext extends \phpbb\extension\base
{
	/**
	* Enable extension if phpBB version requirement is met
	*
	* @return bool
	* @access public
	*/
	public function is_enableable()
	{
		$config = $this->container->get('config');
        return phpbb_version_compare($config['version'], '3.2', '>='); 
	}
}
