<?php
/**
* @package phpBB Extension - Ext Credits
* @copyright (c) 2019 Sniper_E - https://www.sniper-e.net
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*/

namespace sniper\extcredits\migrations;

use phpbb\db\migration\migration;

class extcredits_schema extends migration
{
	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v31x\v317pl1');
	}

	public function update_schema()
	{
		return array(
			'add_columns'	=> array(
				$this->table_prefix . 'users' => array(
					'user_extcredits_wrapexts'  => array('BOOL', 1),
					'user_extcredits_wrapstats' => array('BOOL', 0),
				),
			),
		);
	}

	public function revert_schema()
	{
		return array(
			'drop_columns'	=> array(
				$this->table_prefix . 'users'	=> array(
					'user_extcredits_wrapexts',
					'user_extcredits_wrapstats',
				),
			),
		);
	}
}
